
Infrastructure - Bug #1376

Stylesheets on CNs need to resolve and link to MN data

2011-02-18 17:08 - Chris Jones

Status: Rejected Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Metacat Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version:    

Description

When EML data packages are uploaded to an MN, and then searched for at a CN, data file links that are embedded into the

rendered html incorrectly point to the CN server URL.  They need to point to either the origin MN server, or one that is resolved and

known to have a data file replica.

From IRC:

matt: make sense, though.  the metacat KNB skins know nothing about the dataone sync/repl/MN/CN distinctions

matt: what should ideally happen is the CN would do a resolve, and then the list of alternate download locations would all be linked

into the rendered view at the CN, pointing at each MN

matt: but that would require joining the CN resolve function to the metacat XSLT transform, and pass in the xsl parameters

History

#1 - 2011-02-18 17:30 - Chris Jones

- Position set to 46

- Target version changed from Sprint-2011.10-Block.2 to Sprint-2011.07

#2 - 2011-03-01 16:19 - Dave Vieglais

- Position set to 1

- Position deleted (59)

- Target version deleted (Sprint-2011.07)

#3 - 2011-08-30 01:55 - Dave Vieglais

- Position deleted (89)

- Position set to 16

#4 - 2011-08-30 01:55 - Dave Vieglais

- Position deleted (16)

- Position set to 34

#5 - 2014-10-02 17:37 - Skye Roseboom

- Start date deleted (2011-02-18)

- Milestone changed from CCI-0.6 to None

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from New to Rejected
